pdftk (2.02-2+dyson1) unstable; urgency=medium

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Sun, 11 Jan 2015 22:08:10 +0300

pdftk (2.02-2) unstable; urgency=medium

  * Implement 'inverted page ranges with "~"'. (Closes: #758761)
  * debian/copyright: Fix paths.
  * debian/watch: Fix URL, use https instead of http.
  * Bump Standards-Version to 3.9.6.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 20 Oct 2014 23:42:29 +0200

pdftk (2.02-1) unstable; urgency=low

  * New upstream version.
  * Build with gcj/g++-4.9 instead of -4.8. (Closes: #747091)
  * debian/copyright:
    - Use new upstream name (PDFtk Server) and homepage.
      (Closes: #726596)
    - Update year.
  * Adapt patches to new upstream version.
  * Use "PDFtk" instead of "pdftk" in long description.
  * Add debug package (pdftk-dbg).
  * debian/rules: delete all generateds file in override_dh_auto_clean.
  * Bump Standards-Version to 3.9.5.

 -- Johann Felix Soden <johfel@debian.org>  Thu, 22 May 2014 01:01:16 +0200

pdftk (2.01-1) unstable; urgency=low

  * New upstream version
    - supports AES encryption. (Closes: #703591)
    - crashes with some pdf 1.6 and 1.7 documents solved.
      (Closes: #706075,  #714518)
  * debian/patches/*: Drop upstream applied patches and rework the rest.
  * Build with gcj/g++-4.8 instead of -4.7.
  * Switch to debhelper compat v9.
  * debian/copyright: Update years and paths.
  * debian/control: Use anonscm.debian.org in VCS-* fields; Vcs-Git without
    experimental branch.
  * Fix hyphens in man page.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 01 Jul 2013 00:19:19 +0200

pdftk (1.45-1) experimental; urgency=low

  * New upstream version. (Closes: #697642)
  * Adapt patches to new upstream version and drop fix_infinite_loop_on_lf_eol
    (solved differently by upstream).
  * Use gcj/g++-4.7 instead of -4.6.
  * Bump Standards-Version to 3.9.4 and add experimental branch to Vcs-Git.

 -- Johann Felix Soden <johfel@debian.org>  Sun, 03 Feb 2013 19:26:02 +0100

pdftk (1.44-7) unstable; urgency=low

  * Add patch to solve failures with particular PDF 1.5 documents generated
    e.g. by newer pdflatex versions: Do not fail if an ObjStm ends with a
    number. (Closes: #687669)
    Thanks to Robin Houston <robin.houston@gmail.com>.

 -- Johann Felix Soden <johfel@debian.org>  Tue, 08 Jan 2013 00:36:58 +0100

pdftk (1.44-6) unstable; urgency=medium

  * Fix burst command. It produced non-standard-conform pdf files whose unused
    xref entries were wrongly marked as used. (Closes: #685983)
  * debian/*: Change my e-mail address and remove DM upload rights.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 03 Sep 2012 01:17:35 +0200

pdftk (1.44-5) unstable; urgency=medium

  * Add patches to fix
    - infinite loop with non-standard-conform pdf files.
    - NullPointerException on some pdf files.
    Thanks to Robin Houston <robin@mysociety.org>.
    (side-effect: Closes: #650628)
  * Overwrite additionally LC_ALL and LC_MESSAGES to circumvent
    libgcj problems with de_AT.UTF-8.
  * debian/copyright: Use copyright-format/1.0 and update years.
  * Bump Standards-Version to 3.9.2.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 23 Feb 2012 23:48:48 +0100

pdftk (1.44-4) unstable; urgency=low

  * Warn instead of fail processing a DRM protected pdf file if there is no
    owner password supplied. (Closes: #531529)
  * Support dpkg-buildflags, update patches/customise_build_parameters.
  * Switch to debhelper compat v8
  * debian/copyright: Update to latest DEP5 format and update years.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 25 Sep 2011 19:46:52 +0200

pdftk (1.44-3) unstable; urgency=low

  * Upload to unstable.
  * Build-Depend (temporary) on gcj-jdk/g++ 4.6 to fix FTBFS. (Closes: #624778)
  * debian/{control,rules}: Remove (now unneeded) dependency on libgcj-bc.
  * Remove dependency on libbcprov-java again since ClassNotFoundException is
    just produced by removed but not purged java security packages.
  * Bump Standards-Version to 3.9.2.
  * Merge 1.41+dfsg-10 and 1.41+dfsg-11:
    - Support PROMPT for user_pw and owner_pw simultaneously.
      (Closes: #614071)

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 14 May 2011 01:00:57 +0200

pdftk (1.44-2) experimental; urgency=low

  * debian/control:
    - Re-add dependency on libbcprov-java. (Closes: #610394)
    - Build-depend on gcj-jdk instead of transitional gcj. (Closes: #606906)

 -- Johann Felix Soden <johfel@gmx.de>  Tue, 18 Jan 2011 23:29:34 +0100

pdftk (1.44-1) experimental; urgency=low

  * New upstream version. (Closes: #600791)
  * debian/NEWS: Add notice about the new *_utf8 operations.
  * Upstream has DFSG-cleaned the bundled itext-paulo library.
    - debian/{control,rules}: Switch back to usage of bundled libraries.
      + This fix a problem with generate_fdf. (Closes: #588074)
    - Repacking is not needed anymore. Change debian/watch accordingly.
  * debian/patches/*: Drop all patches that are now applied
    by upstream or adapts pdftk to itext 2.1.7.
  * debian/copyright: Add copyright information of the bundled libraries and
    update copyright years.
  * debian/patches/customise_build_parameters replaces the old
    build_with_gcc-4.3 patch.
  * Update debian/(control,copyright,watch) to new upstream homepage.
  * Install the now with upstream coming man page and changelog.

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 30 Oct 2010 23:30:30 +0200

pdftk (1.41+dfsg-11) unstable; urgency=low

  * Support PROMPT for user_pw and owner_pw simultaneously.
    (Closes: #614071)
  * Backport from 1.43: Support filenames starting with the keywords 'odd',
    'even', 'end'. (Closes: #609471)

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 19 Feb 2011 23:19:50 +0100

pdftk (1.41+dfsg-10) unstable; urgency=high

  * Do not create a random owner password if only user password should
    be set. (Closes: #607018)

 -- Johann Felix Soden <johfel@gmx.de>  Tue, 14 Dec 2010 20:36:20 +0100

pdftk (1.41+dfsg-9) unstable; urgency=low

  * Fix pdf compression support: Uncompressed files can now be
    compressed.
  * Bump Standards-Version to 3.9.1.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 08 Aug 2010 11:24:11 +0200

pdftk (1.41+dfsg-8) unstable; urgency=low

  * Improve error handling on non-standard conform pdf files.
  * Use error reporting via non-zero exit code for all errors.
    (Closes: #577849)
  * Bump Standards-Version to 3.8.4.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 15 Apr 2010 16:03:42 +0200

pdftk (1.41+dfsg-7) unstable; urgency=low

  * Improve utf8-encoded attachment filename support (fixes crash on
    unpack_files) (Closes: #462756, #563330)

 -- Johann Felix Soden <johfel@gmx.de>  Wed, 27 Jan 2010 20:08:45 +0100

pdftk (1.41+dfsg-6) unstable; urgency=low

  * Add patch to circumvent libgcj10 exception with de_AT.UTF-8 locale.
    (Closes: #560594)
  * Conform patch descriptions to DEP3.
  * debian/rules: fail with error message if itext-*.so is missing.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 13 Dec 2009 17:41:56 +0100

pdftk (1.41+dfsg-5) unstable; urgency=low

  * debian/{rules,control}:
    - Support clean target in unpatched source dir.
    - Depend on proper main version of libgcj-bc.
  * Call g++/gcj with "-g" to improve usefulness of
    DEB_BUILD_OPTIONS=nostrip.

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 10 Dec 2009 18:56:12 +0100

pdftk (1.41+dfsg-4) unstable; urgency=low

  * To solve a fill_form bug, insert itext.jar path into classpath.
  * Convert package to the 3.0 (quilt) source format.
  * Improve get-orig-source target:
   - debian/rules: support any working directory in get-orig-source.
   - debian/uscan-dfsg-clean.sh: do not add .orig to the main directory
     in .orig.tar.gz.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 29 Nov 2009 13:17:30 +0100

pdftk (1.41+dfsg-3) unstable; urgency=low

  * Add multistamp and multibackground support (Closes: #511415)
    - thanks to Bernhard R. Link <brlink@debian.org> for the patch.
  * Extend uncompression: Don't fail when for libitext unknown filters
    occur. (Closes: #550367)

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 09 Oct 2009 22:48:13 +0200

pdftk (1.41+dfsg-2) unstable; urgency=low

  * Fix FTBFS on hppa:
   - debian/rules: enforce same version for gcj and g++.
   - debian/control: add g++-4.4 [hppa] to Build-Depends field.
  * debian/rules: add missing space in clean rule.
  * Fix failing on pdf files with owner password:
    - change pdftk-use-internal-itext and support_utf8_filenames
      in debian/patches and refresh other patches
  * Add uncompression support which was removed in 1.41+dfsg-1.
    (Closes: #547910)

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 25 Sep 2009 11:54:04 +0200

pdftk (1.41+dfsg-1) unstable; urgency=low

  * Adopted the package with agreement of the previous maintainer
    - Thanks for your work Aurélien GÉRÔME!
  * DFSG-repack and use extern libitext-java (Closes: #519466)
  * Support newer gcj (Closes: #470215, #514561, #534080, #533795, #538252)
  * Handle utf8 filenames (Closes: #258377, #504014, #504128)
  * Handle utf8-data, CreationDate and ModDate fields in update_info correctly
    (Closes: #424920, #461169)
  * Rework build system
    - minimize dh rules
    - update dependencies
  * Bump Standards-Version to 3.8.3.
  * Update debian/watch and use created debian/uscan-dfsg-clean.sh
  * Clean debian/copyright from itext, use machine-readable format
    - upstream uses GPL-2+ (not unversioned GPL)
  * Add patch: use mkstemp instead of tmpnam
  * Add upstream changelog
  * Remove meaningless "useful" from short description and author-field from
    long description

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 05 Sep 2009 15:14:40 +0200

pdftk (1.41-3) unstable; urgency=high

  * Change my email address in the Uploaders field.
  * Bump Standards-Version to 3.7.3.
  * Remove no longer used Vcs-Git, Vcs-Browser, and
    XS-DM-Upload-Allowed fields.
  * Change Build-Depends field: gcj-4.2 [!alpha !arm !hppa !hurd-i386].
    (Closes: #477898)

 -- Aurélien GÉRÔME <ag@debian.org>  Fri, 30 May 2008 15:08:46 +0200

pdftk (1.41-2) unstable; urgency=low

  * Switch from the XS-Vcs-Git/XS-Vcs-Browser fields to the
    Vcs-Git/Vcs-Browser fields and fix typos in both URLs.
  * Rework debian/copyright to include missing copyright holders
    and licenses.
  * Add the XS-DM-Upload-Allowed field.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 02 Dec 2007 00:02:04 +0100

pdftk (1.41-1) unstable; urgency=high

  * New upstream release. (Closes: #400920)
  * Regenerate upstream tarball by removing superfluous files.
    + debian/
    + java_libs/com/lowagie/text/pdf/PRStream.java.orig
    + java_libs/com/lowagie/text/pdf/PRTokeniser.java.orig
  * Add quilt support.
  * Add the XS-Vcs-Git and XS-Vcs-Browser fields.
  * Remove the uppercase at the beginning of the Description field.
  * Fix upstream homepage location. (Closes: #420973)
    + Remove it from the long description.
    + Add it in the new Homepage field.
  * Remove ${misc:Depends} from the Depends field.
  * Fix FTBFS due to new behaviour of gcjh since gcj-4.1.2.
    (Closes: #421341, #443714)
  * Fix ABI mismatch at runtime due to old embedded copies of gcj
    Java source code. (Closes: #426314)
    The following directories are thus no longer needed by Debian.
    + java_libs/gnu/
    + java_libs/gnu_local/
    + java_libs/java_local/
  * Change Build-Depends to gcj-4.2 and g++-4.2.
    + Depends on libgcj8-1. (Closes: #385914, #423417)
  * Fix lintian warnings "debian-rules-ignores-make-clean-error".
  * Remove unused debhelper tools from debian/rules.
  * Update debian/copyright.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Wed, 14 Nov 2007 14:40:12 +0100

pdftk (1.40-2) unstable; urgency=low

  * New maintainer.
  * Add debian/watch file.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 15 Oct 2006 17:14:13 +0200

pdftk (1.40-1) unstable; urgency=low

  * New upstream version.
    - Fix concatenation of 2 pdf documents which some kind of pdf
      (closes: bug#385598).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Sep 2006 16:39:10 +0200

pdftk (1.12-11) unstable; urgency=low

  * Mixing different versions of g++ and gcj does not work, explicitely
    use gcj-4.1 and g++-4.1.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 May 2006 00:40:04 +0200

pdftk (1.12-10) unstable; urgency=low

  * Added -O2 to GCJFLAGS (closes: bug#366661).
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 May 2006 10:56:37 +0200

pdftk (1.12-9) unstable; urgency=low

  * Fix previous FDF patch (closes: bug#365084).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 27 Apr 2006 23:27:01 +0200

pdftk (1.12-8) unstable; urgency=low

  * Added a patch to support page rotating. Thanks to David Fabel.
  * Bumped Standards-Version to 3.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 Apr 2006 22:03:59 +0200

pdftk (1.12-7) unstable; urgency=low

  * Build with -fdollars-in-identifiers to workaround a gcc bug on arm
    (closes: bug#334642).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Oct 2005 19:31:00 +0200

pdftk (1.12-6) unstable; urgency=low

  * Fixed FTBFS.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Oct 2005 21:21:49 +0200

pdftk (1.12-5) unstable; urgency=low

  * C++ ABI transition.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  6 Jul 2005 01:03:57 +0200

pdftk (1.12-4) unstable; urgency=low

  * Suggests: xpdf-utils (closes: bug#306625).

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  1 May 2005 11:27:28 +0200

pdftk (1.12-3) unstable; urgency=low

  * Depends on libgcj-dev instead of libgcj4-dev.
  * Build with gcj instead of gcj-3.3.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 30 Mar 2005 16:44:02 +0200

pdftk (1.12-2) unstable; urgency=low

  * Added a patch from Bernhard R. Link to adds a new generate_fdf
    action to generate a FDF out of a PDF file. The patch will also be
    added in the next upstream version (closes: bug#289846).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Jan 2005 23:22:59 +0100

pdftk (1.12-1) unstable; urgency=low

  * New upstream release.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Nov 2004 21:04:25 +0000

pdftk (1.11-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  5 Nov 2004 09:42:53 +0000

pdftk (1.10-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Oct 2004 14:15:40 +0000

pdftk (1.00-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Aug 2004 20:18:35 +0200

pdftk (0.94-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 25 Mar 2004 08:58:03 +0100

pdftk (0.93-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Mar 2004 07:37:12 +0100

pdftk (0.92-2) unstable; urgency=low

  * Fixed a typo in the description (closes: bug#234675).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 25 Feb 2004 20:21:12 +0100

pdftk (0.92-1) unstable; urgency=low

  * Initial Release (closes: bug#232863).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Feb 2004 23:54:35 +0100
